/*
 * File Archive Library
 * Copyright (C) 2000-2001 Patrizio Bruno <patrizio@dada.it>
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    Read the file LICENSE for more.
 *
 */

/*
 * $Log: unarchive.h,v $
 * Revision 1.5  2001/05/29 12:50:53  rusty
 *
 * some code cleaning and added a function to extract a single entry
 *
 * Revision 1.4  2001/05/21 11:06:31  rusty
 *
 * byte ordering fixed
 *
 * Revision 1.3  2001/05/16 16:08:17  rusty
 * *** empty log message ***
 *
 * Revision 1.2  2000/09/20 14:50:29  rusty
 *
 * directory reorganizing
 *
 * Revision 1.1  2000/09/20 14:10:22  rusty
 *
 * First working (basic) release
 *
 */

#ifndef	_UNARCHIVE_H_
#define	_UNARCHIVE_H_

int far_extract(unsigned char *, unsigned int);
int far_extract_files(unsigned char *, unsigned int, FAR_INFO *, unsigned int);
int far_makedir(FAR_INFO *);
int far_symlink(FAR_INFO *);
int far_create_file(FAR_INFO *, unsigned char *);
int far_mknod(FAR_INFO *);
FAR_INFO *far_retr_head(unsigned char *, unsigned int, unsigned int *);
void far_head_byteorder_conv(FAR_INFO *, int);
int far_extract_single(const char *, unsigned char *,
			FAR_INFO *, unsigned int);

#endif	/* _UNARCHIVE_H_ */
